using System;

namespace Spojler
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] c1 = Console.ReadLine().Split(' ');
            int a = Convert.ToInt32(c1[0]);
            int b = Convert.ToInt32(c1[1]);
            string[] c2 = Console.ReadLine().Split(' ');
            int x = Convert.ToInt32(c2[0]);
            int y = Convert.ToInt32(c2[1]);

            if (a == x && b == y) Console.WriteLine("nijedan");
            else
            {
                int prvi = a - x;
                int drugi = b - y;
                if (prvi >= 1 && drugi < 1) Console.WriteLine("prvi");
                else if (prvi < 1 && drugi >= 1) Console.WriteLine("drugi");
                else Console.WriteLine("?");
            }
        }
    }
}